Delete Group
curl --request DELETE \
--url https://api.example.com/api/v2/Groupimport requests
url = "https://api.example.com/api/v2/Group"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/api/v2/Group', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ErrorCode": 123,
"ErrorDescription": "<string>",
"Data": "<string>"
}Group Management
Delete Group
Delete an existing contact group
Delete Group
curl --request DELETE \
--url https://api.example.com/api/v2/Groupimport requests
url = "https://api.example.com/api/v2/Group"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/api/v2/Group', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ErrorCode": 123,
"ErrorDescription": "<string>",
"Data": "<string>"
}Delete Group
Delete an existing contact group from your account.This action cannot be undone. All contacts in the group will be removed from the group structure.
curl -X DELETE "https://app.notify.ng/api/v2/Group?ApiKey=YOUR_API_KEY&ClientId=YOUR_CLIENT_ID&id=33"
const params = new URLSearchParams({
ApiKey: 'YOUR_API_KEY',
ClientId: 'YOUR_CLIENT_ID',
id: '33'
});
const response = await fetch(`https://app.notify.ng/api/v2/Group?${params}`, {
method: 'DELETE'
});
const data = await response.json();
console.log(data);
import requests
url = "https://app.notify.ng/api/v2/Group"
params = {
"ApiKey": "YOUR_API_KEY",
"ClientId": "YOUR_CLIENT_ID",
"id": 33
}
response = requests.delete(url, params=params)
result = response.json()
print(result)
Parameters
string
required
Your API key for authentication
string
required
Your client identifier for authentication
number
required
ID of the group to delete
Response
number
Error code (0 for success)
string
Description of the result
string
Success message
Success Response
{
"ErrorCode": 0,
"ErrorDescription": "Success",
"Data": "Group deleted successfully."
}
Error Response
{
"ErrorCode": 028,
"ErrorDescription": "Can not be found"
}
Use Cases
- Group cleanup: Remove unused or outdated groups
- Data management: Clean up contact organization structure
- Account maintenance: Remove groups that are no longer needed

